//
// Autore: Giuliano Pellegrini Parisi
//
// Classe: 4^ Inf. Sirio
//
// Data: 22 giugno 2009
//
// Oggetto: Implementazione libreria fbblEntiPubblici
//
// Release: 0.1a
//
// ChangeLog del 30 giugno 2009: Implementazione serializzazione e deserializzazione

using System.Runtime;
using System.Runtime.Serialization;

namespace fbblEntiPubblici
{
    abstract public class Ente : ISerializable
    {
        protected string _NomeEnte;

        public Ente(string _NomeEnte)
        {
            this._NomeEnte = _NomeEnte;
        }

        public Ente(SerializationInfo info,StreamingContext context)
        {
            this._NomeEnte=info.GetString("NomeEnte");
        }

        abstract public void GetObjectData(SerializationInfo info,StreamingContext context);

        public string NomeEnte
        {
            set
            {
                this._NomeEnte = value;
            }

            get
            {
                return this._NomeEnte;
            }
        }


    }
}
